## NAME

d.vect - Displays GRASS vector data in the active frame on the graphics monitor.

## KEYWORDS

display

## SYNOPSIS

d.vect
d.vect help
d.vect [-vacix] map=name [type=string[,string,...]] [display=string[,string,...]] [attrcol=string] [icon=string] [size=integer] [layer=integer] [cats=range] [where=sql_query] [width=integer] [wcolumn=string] [wscale=float] [color=string] [fcolor=string] [rgb_column=string] [llayer=integer] [lcolor=string] [bgcolor=string] [bcolor=string] [lsize=integer] [font=string] [xref=string] [yref=string] [minreg=float] [maxreg=float]

### Flags:

-v
  Run verbosely
-a
  Get colors from map table column (of form RRR:GGG:BBB)
-c
  Random colors according to category number (or layer number if 'layer=-1' is given)
-i
  Use values from 'cats' option as line ID
-x
  Don't add to list of vectors and commands in monitor (it won't be drawn if the monitor is refreshed)

### Parameters:

map=name
  Name of input vector map
type=string[,string,...]
  Type
  Options: point,line,boundary,centroid,area,face
  Default: point,line,boundary,centroid,area,face
display=string[,string,...]
  Display
  Options: shape,cat,topo,dir,attr,zcoor
  Default: shape
attrcol=string
  Name of column to be displayed
icon=string
  Point and centroid symbol
  Options: extra/dive_flag,extra/alpha_flag,extra/airport,extra/compass,extra/target,extra/fancy_compass,extra/adcp,extra/4pt_star,extra/half-circle,demo/muchomurka,demo/smrk,basic/cross2,basic/octagon,basic/x,basic/box,basic/point,basic/marker,basic/pushpin,basic/diamond,basic/arrow2,basic/circle,basic/cross1,basic/arrow1,basic/triangle,basic/star
  Default: basic/x
size=integer
  Icon size
  Default: 8
layer=integer
  Layer number. If -1, all layers are displayed.
  Default: 1
cats=range
  Category values
  Example: 1,3,7-9,13
where=sql_query
  WHERE conditions of SQL statement without 'where' keyword. (example: income < 1000 and inhab >= 10000)
width=integer
  Line width
  Default: 0
wcolumn=string
  Name of column for line widths (these values will be scaled by wscale)
wscale=float
  Scale factor for wcolumn
  Default: 1
color=string
  Line color
  Default: black
fcolor=string
  Area fill color
  Default: 200:200:200
rgb_column=string
  Name of color definition column (for use with -a flag)
  Default: GRASSRGB
llayer=integer
  Layer for labels
  Default: 1
lcolor=string
  Label color
  Default: red
bgcolor=string
  Label background color
  Default: none
bcolor=string
  Label border color
  Default: none
lsize=integer
  Label size (pixels)
  Default: 8
font=string
  Font name
  Options: cyrilc,gothgbt,gothgrt,gothitt,greekc,greekcs,greekp,greeks,italicc,italiccs,italict,romanc,romancs,romand,romans,romant,scriptc,scripts
  Default: romans
xref=string
  Label horizontal justification
  Options: left,center,right
  Default: left
yref=string
  Label vertical justification
  Options: top,center,bottom
  Default: center
minreg=float
  Minimum region size (average from height and width) when map is displayed
maxreg=float
  Maximum region size (average from height and width) when map is displayed

## DESCRIPTION

d.vect displays GRASS vector data in the active frame on the graphics monitor.

## NOTES

d.vect can simply be used typing `d.vect map=vector_map`. There are a large variety of optional parameters which allow the user to specify vector type, colors, data fields, SQL queries, label size and justification, etc.

By default d.vect fills in holes in polygons (islands). If you only want to show active areas limit the features with, e.g., "`d.vect cats=1-999999`".

In order to display attributes in the map, display=attr must be specified in addition to the column name (attrcol parameter).

Colors may be specified in an attribute table column named 'GRASSRGB' (which is a `varchar` column containing `RRR:GGG:BBB` values), see the flag -a.

A table for a vector map might look like this:

      echo "select * from testisola" | db.select
      cat|label|GRASSRGB
      0|no data|255:255:255
      90|FRASSILONGO|23:245:67
      104|LEVICO|23:145:67
      139|PERGINE VALSUGANA|223:45:237
      168|SANT'ORSOLA|223:45:67
      190|TENNA|123:45:67

To add the GRASSRGB color column, the SQL alter function is used:

      echo "ALTER TABLE testisola ADD COLUMN GRASSRGB varchar(11)" | db.execute

To add/change a color, the SQL update function is used:

      echo "update testisola set GRASSRGB='123:45:237' where cat=139" | db.execute

A much simpler method of color coding is by using the -c flag which displays vector elements of like category number with a random color.

This module can use FreeType/TrueType fonts if they have already been selected with d.font.freetype.

## EXAMPLES

d.vect map=vectmap display=shape,cat lcolor=green
d.vect map=markveggy.vegtype where="VEGTYPE = 'IFA'"
d.vect -c map=soils display=shape,attr attrcol=label

## SEE ALSO

d.erase, d.what.vect, d.rast, d.font.freetype
GRASS SQL interface

## AUTHOR

Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2006/11/24 17:52:43 $

Main index - display index - Full index